#pragma strict

var maxvelocity : int = 20;
var accel : int = 2;
var drag : float = 0.9999;

private var xvelocity : int = 0;
private var yvelocity : int = 0;
private var myTransform : Transform;

function Start () {
  myTransform = transform;
}

function Update () {
  move();
}

function move() {
  // Use Input.GetAxisRaw so keyboard input is always -1, 0, or 1.

  xvelocity += Input.GetAxisRaw("Horizontal") * accel;
  yvelocity += Input.GetAxisRaw("Vertical") * accel;

  if (Mathf.Abs(xvelocity) < 0.5) {
    xvelocity = 0;
  }
  else {
    xvelocity = Mathf.Sign(xvelocity) * Mathf.Min(Mathf.Abs(xvelocity), maxvelocity);
  }

  if (Mathf.Abs(yvelocity) < 0.5) {
    yvelocity = 0;
  }
  else {
    yvelocity = Mathf.Sign(yvelocity) * Mathf.Min(Mathf.Abs(yvelocity), maxvelocity);
  }

  myTransform.Translate(xvelocity, yvelocity, 0);

  xvelocity *= drag;
  yvelocity *= drag;
}
