#pragma strict

private var myPosition : Vector2;
private var m : DrawMap;

function Start () {
  m = DrawMap as DrawMap;

  // Cache position for better performance as suggested in the docs
  myPosition = transform.position;
}

function Update () {
 if ((myPosition.x > m.map_edge.x + m.map_dim.x - m.spacing) ||
     (myPosition.x < m.map_edge.x) ||
     (myPosition.y > m.map_edge.y + m.map_dim.y - m.spacing) ||
     (myPosition.y < m.map_edge.y)) {  
    Destroy(gameObject);
  }
}

function OnTriggerEnter(other : Collider) {
  var x : int = myPosition.x;
  var y : int = myPosition.y;

  if (!m.eaten.ContainsKey(x)) {
    m.eaten[x] = new Hashtable();
  }
  (m.eaten[x] as Hashtable)[y] = 1;

  Destroy(gameObject);
}
